#include <arduino.h>

#define LCD_SCK 13      //LCD SPI时钟
#define LCD_SI 11       //LCD SPI数据端口
#define LCD_CS 10       //LCD SPI片选
#define LCD_CD 9        //LCD SPI命令/数据
#define LCD_RST 8       //LCD SPI复位
 
//对arduino端口操作方式的重新定义
#define Set(x) digitalWrite(x,1)
#define Clr(x) digitalWrite(x,0)
#define Out(x) pinMode(x, 1)
#define In(x) pinMode(x, 0)


void LCD_init();
void LCD_add(unsigned page, unsigned column);
void Clr_LCD();
void Dis_char(unsigned char line, unsigned char column, char *chr);
void Dis_str(unsigned char line, unsigned char column, char *str);
void turn_0();
void turn_180();
